%define name maniadrive
%define rname ManiaDrive
%define engine_name raydium
%define version 1.2
%define pre 0
%if %{pre}
%define release  %mkrel 0.%{pre}.1
%define fullversion %{version}-%{pre}
%else
%define release  %mkrel 2
%define fullversion %{version}
%endif
%define distname %{rname}-%{fullversion}-src
%define major 0
%define libname %mklibname %{name} %{major}

Summary: Arcade car game on acrobatic tracks
Name: %{name}
Version: %{version}
Release: %{release}
# svn export svn://raydium.org/raydium/trunk raydium-svn`date +%Y%m%d`
Source0: %{distname}.tar.bz2
Patch0: raydium-1.01-svn20060728-build.patch
Patch1: ManiaDrive-1.1-src.dirs.patch
Patch3: ManiaDrive-1.1-src.safemode.patch
Patch4: ManiaDrive-1.1-src.home.patch
Patch5: ManiaDrive-1.2-src.fPIC.patch
License: GPL
Group: Games/Arcade
Url: http://raydium.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: php-devel
BuildRequires: ode-devel
BuildRequires: glew-devel
BuildRequires: openal-devel
Requires: maniadrive-data
Conflicts: maniadrive-data < 1.01-3mdv2007.0
Requires: php-curl
Requires: php-soap


%description
ManiaDrive is a free clone of Trackmania, the great game from Nado
studio, and is an arcade car game on acrobatic tracks, with a quick
and nervous gameplay (tracks almost never exceed one minute), and
features a network mode, as the original.

Raydium is a game engine. It provides a set of functions which allow
quick and flexible games creation.
Functions covers things like player inputs (keyboard, mouse, joystick,
joypad, force feedback), rendering (3D objets, OSD (On Screen
Display)), time (a game must run at the exact same speed on every
computer), sound, ...

%prep
%setup -q -n %{distname}
%patch0 -p0 -b .build
%patch1 -p1 -b .dirs
%patch3 -p1 -b .safemode
%patch4 -p1 -b .home
%patch5 -p1 -b .fPIC

# php weird stuff, borrowed from thttpd-php.spec
cp /usr/src/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .
ln -s /usr/src/php-devel/ext .

%build
%make
for f in mania2 mania_drive mania_server; do
  # from odyncomp.sh
  gcc $f.c -g -Wall -DFORCE_LIBRAYDIUM -DBINDIR=\"%{_gamesbindir}\" -DGAMEDIR=\"%{_gamesdatadir}/%{name}\" -o $f.static libraydium.so `php-config --includes`
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}
install lib%{engine_name}.* $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_gamesbindir}
install -m755 mania*.static $RPM_BUILD_ROOT%{_gamesbindir}/
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
install -m644 *.php $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
cp -a rayphp $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_gamesbindir}/mania*.static
%{_libdir}/lib%{engine_name}.*
%dir %{_gamesdatadir}/%{name}/rayphp
%{_gamesdatadir}/%{name}/mania_*.php
%{_gamesdatadir}/%{name}/rayphp/*


%changelog
* Sat Sep 09 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-09 23:46:09 (60717)
- build with -fPIC (required for x86_64)

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 19:38:08 (59885)
- 1.2 (and drop merged shader patch)

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-03 14:26:56 (59673)
- increase release

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-03 13:56:51 (59672)
- require php-soap

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-03 13:56:31 (59671)
- get story files from home directory

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-03 13:11:15 (59670)
- disable php safe_mode in the game

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-03 12:29:42 (59663)
- package mania_*.php files

* Sat Sep 02 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-02 21:50:14 (59634)
- package rayphp files

* Sat Sep 02 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-02 07:27:22 (59591)
- require php-curl

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 19:44:35 (59093)
- increase release

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 19:44:16 (59092)
- require maniadrive-data

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 19:40:30 (59091)
- fix default group

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 16:58:44 (59034)
- fix crash when shader are not supported (from SVN)

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 16:58:26 (59033)
- bump release

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 16:57:58 (59032)
- fix crash when shader are not supported (from SVN)

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 16:57:36 (59031)
- fix binaries and game directory paths

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 14:45:27 (56982)
- rename as maniadrive and update to 1.1

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 14:33:18 (56979)
- rename as maniadrive

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 14:09:38 (56976)
- initial Mandriva release

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 13:52:33 (56963)
- Created package structure for raydium.
